Update Lead: Rent Manager
https://api.propexo.com/v1/leads/rentmanager/:lead_id| Method |
|---|
| POST /Prospects |
| POST /Contacts |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The first name associated with the lead
The middle name associated with the lead
The last name associated with the lead
The Propexo unique identifier for the lead source
The date of birth associated with the lead
Show 2 variants
The primary email address associated with the lead
Primary phone number associated with the lead
Type of the primary phone number
Show 5 enum values
HOMEWORKMOBILEFAXOTHERSecondary phone number associated with the lead
Type of the secondary phone number
Show 5 enum values
HOMEWORKMOBILEFAXOTHERThe city associated with the lead
The first address line associated with the lead. If any one of the address fields are provided, they must all be provided
The state associated with the lead
The zip code associated with the lead
The country associated with the lead
Notes associated with the lead
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the lead
The first name associated with the lead
The middle name associated with the lead
The last name associated with the lead
The Propexo unique identifier for the lead source
The date of birth associated with the lead
Show 2 variants
The primary email address associated with the lead
Primary phone number associated with the lead
Type of the primary phone number
Show 5 enum values
HOMEWORKMOBILEFAXOTHERSecondary phone number associated with the lead
Type of the secondary phone number
Show 5 enum values
HOMEWORKMOBILEFAXOTHERThe city associated with the lead
The first address line associated with the lead. If any one of the address fields are provided, they must all be provided
The state associated with the lead
The zip code associated with the lead
The country associated with the lead
Notes associated with the lead
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/leads/rentmanager/:lead_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"lead_source_id": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"email_1": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"city": "string",
"address_1": "string",
"state": "string",
"zip": "string",
"country": "string",
"notes": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"lead_id": "string",
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"lead_source_id": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"email_1": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"city": "string",
"address_1": "string",
"state": "string",
"zip": "string",
"country": "string",
"notes": "string"
}
}